<ng-template #templateForType let-r="result" let-t="term">
  <img [src]="'https://upload.wikimedia.org/wikipedia/commons/thumb/' + r['flag']" class="me-1" style="width: 16px" />
  <ngb-highlight [result]="r.name" [term]="t"></ngb-highlight>
</ng-template>

<div class="row">
  <label for="typeahead-template" class="col-xs-3 col-sm-auto col-form-label">Search for a state:</label>
  <div class="col">
    <input
      id="typeahead-template"
      type="text"
      class="form-control col"
      [ngbTypeahead]="search"
      [resultTemplate]="templateForType"
      [inputFormatter]="formatter"
      (focus)="inputFocus()"
      (input)="inputType()"
      (focusout)="inputFocusOut()"
    />
    <div class="typeahead-focus-dropdown" *ngIf="isFocusing && !hasText">show search terms history when focusing</div>
  </div>
</div>
